//
//  SongController.h
//
//  Controller class for the dummy movie window.
//  Created by Alexander Thomas on Sun Jul 13 2003.
//  dr.lex at cryogen.com
//

#import <Cocoa/Cocoa.h>

/* Because I will forget this as soon as I close this window:
HOW TO CREATE A THING LIKE THIS:
In IB:
 - Create a NSMovieView object
 - Create class SongController as subclass of NSObject
 - In attributes: create outlet "dummyView"
 - Choose "Instantiate" from Classes menu
 - Click on the SongController instance and choose "connections"
 - ctrl-drag from SongController to the NSMovieView rectangle and click "connect"
In PB:
 - Create class with name SongController
 - Add line "IBOutlet NSMovieView *dummyView" to interface.
 - Initialization can be done in awakeFromNib function, which is called right
   before the interface is made visible.
*/

@interface SongController : NSObject
{
  IBOutlet NSMovieView *dummyView;
  float theVolume;

  OSErr err;
}

- (void) awakeFromNib;
- (void) startMovie:(NSString*)fileName loop:(BOOL)loopFlag;
- (void) setSongVolume:(float)volume;
- (float) getSongVolume;
- (BOOL) isPlaying;
- (void) play;
- (void) stop;
- (void*) getMovie;

@end

void saveObjectForCallback(void *theObject);

int  QT_PlaySong(char *fileName, int loopFlag);
void QT_SetVolume(int volume);
int  QT_GetVolume();
int  QT_SongPlaying();
void QT_Continue();
void QT_Pause();
void QT_SetSongTime(unsigned long mSec);
unsigned long QT_GetSongTime();
unsigned long QT_GetSongLength();
int  QT_FadeVolume(int toVolume, int milliSeconds);
int  QT_FadeActive();
